Fundraising
Read Postal Mail balance
Returns available/reserved cents, configured balance packs, auto-reload state, a resumable pending purchase and monthly activity. Reading does not create a free grant. Requires the configured Handwrytten feature (normally handwrytten_mailings). Requires permission: one of access_account_settings, manage_settings, mailings_view, mailings_generate, mailings_manage, manage_email.
GET
/
admin
/
handwrytten
/
credits
Read Postal Mail balance
curl --request GET \
--url https://api.gratona.com/v1/admin/handwrytten/credits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/handwrytten/credits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/handwrytten/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/handwrytten/credits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/handwrytten/credits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/handwrytten/credits")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/handwrytten/credits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"balance_cents": 100,
"reserved_cents": 100,
"low_balance_threshold_cents": 100,
"low_balance": true,
"auto_reload": {
"enabled": true,
"threshold_cents": 100,
"pack_key": "postal-mail-50",
"requires_confirmation": true
},
"available_packs": [
{
"key": "postal-mail-50",
"amount_cents": 100
}
],
"balance_purchase_configured": true,
"pending_balance_purchase": {
"attempt_reference": "Example",
"pack_key": "Example",
"amount_cents": 100,
"payment_status": "Example",
"created_at": "2026-10-20T12:00:00Z"
},
"billing_mode": "managed_wallet",
"billing_status": "Example",
"pricing_version": "Example",
"standard_domestic_price_cents": 100,
"rate_label": "Example",
"currency": "usd",
"current_month": {
"spent_cents": 100,
"cards_submitted": 100,
"top_up_cash_collected_cents": 100,
"refunded_cents": 100
},
"recent_entries": [
{
"id": 100,
"credit_delta": 100,
"balance_delta_cents": 100,
"balance_after_cents": 100,
"balance_after_credits": 100,
"amount_cents": 100,
"entry_type": "Example",
"currency": "usd",
"created_at": "2026-10-20T12:00:00Z"
}
]
}
}{
"message": "Unauthorized",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}⌘I
Read Postal Mail balance
curl --request GET \
--url https://api.gratona.com/v1/admin/handwrytten/credits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/handwrytten/credits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/handwrytten/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/handwrytten/credits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/handwrytten/credits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/handwrytten/credits")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/handwrytten/credits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"balance_cents": 100,
"reserved_cents": 100,
"low_balance_threshold_cents": 100,
"low_balance": true,
"auto_reload": {
"enabled": true,
"threshold_cents": 100,
"pack_key": "postal-mail-50",
"requires_confirmation": true
},
"available_packs": [
{
"key": "postal-mail-50",
"amount_cents": 100
}
],
"balance_purchase_configured": true,
"pending_balance_purchase": {
"attempt_reference": "Example",
"pack_key": "Example",
"amount_cents": 100,
"payment_status": "Example",
"created_at": "2026-10-20T12:00:00Z"
},
"billing_mode": "managed_wallet",
"billing_status": "Example",
"pricing_version": "Example",
"standard_domestic_price_cents": 100,
"rate_label": "Example",
"currency": "usd",
"current_month": {
"spent_cents": 100,
"cards_submitted": 100,
"top_up_cash_collected_cents": 100,
"refunded_cents": 100
},
"recent_entries": [
{
"id": 100,
"credit_delta": 100,
"balance_delta_cents": 100,
"balance_after_cents": 100,
"balance_after_credits": 100,
"amount_cents": 100,
"entry_type": "Example",
"currency": "usd",
"created_at": "2026-10-20T12:00:00Z"
}
]
}
}{
"message": "Unauthorized",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}